Compare commits

..

No commits in common. "8acf60577be75300c1089b301a724fe9688534e9" and "211771ebaf86e22da44144e8424533db6012fe8c" have entirely different histories.

6 changed files with 63 additions and 7 deletions

View File

@ -17,7 +17,7 @@ DEPENDS = " \
hyprwayland-scanner-native \ hyprwayland-scanner-native \
libdrm \ libdrm \
pipewire \ pipewire \
sdbus-c++ \ sdbus-c++-1 \
virtual/libgbm \ virtual/libgbm \
wayland \ wayland \
wayland-protocols \ wayland-protocols \

View File

@ -1,3 +1,3 @@
SRC_URI = "gitsm://github.com/hyprwm/xdg-desktop-portal-hyprland.git;protocol=https;nobranch=1" SRC_URI = "gitsm://github.com/hyprwm/xdg-desktop-portal-hyprland.git;protocol=https;nobranch=1"
SRCREV = "05f4271dfc5d4cef9710db654eb1dd9894a16ac0" SRCREV = "7e500e679ede40e79cf2d89b5f5fa3e34923bd26"
PV = "1.3.7" PV = "1.3.6"

View File

@ -0,0 +1,6 @@
#!/bin/sh
set -e
./sdbus-c++-unit-tests 2>&1 && echo "PASS: sdbus-c++-unit-tests" || echo "FAIL: sdbus-c++-unit-tests"
./sdbus-c++-integration-tests 2>&1 && echo "PASS: sdbus-c++-integration-tests" || echo "FAIL: sdbus-c++-integration-tests"

View File

@ -0,0 +1,51 @@
SUMMARY = "sdbus-c++"
DESCRIPTION = "High-level C++ D-Bus library designed to provide easy-to-use yet powerful API in modern C++"
SECTION = "libs"
LICENSE = "LGPL-2.1-only"
LIC_FILES_CHKSUM = "file://COPYING;md5=1803fa9c2c3ce8cb06b4861d75310742"
inherit cmake pkgconfig systemd ptest
PACKAGECONFIG ??= "${@bb.utils.contains('DISTRO_FEATURES', 'systemd', 'with-external-libsystemd', 'with-builtin-libsystemd', d)} \
${@bb.utils.contains('PTEST_ENABLED', '1', 'with-tests', '', d)}"
PACKAGECONFIG[with-builtin-libsystemd] = ",,sdbus-c++-libsystemd,libcap,basu"
PACKAGECONFIG[with-external-libsystemd] = ",,systemd,libsystemd"
PACKAGECONFIG[with-tests] = "-DBUILD_TESTS=ON -DINSTALL_TESTS=ON -DTESTS_INSTALL_PATH=${PTEST_PATH},-DBUILD_TESTS=OFF,googletest gmock"
DEPENDS += "expat"
PV .= "+git"
SRCREV = "7450515d0bc632b871d0d3f549ddb24783dd008f"
SRC_URI = "git://github.com/Kistler-Group/sdbus-cpp.git;protocol=https;branch=master \
file://run-ptest"
EXTRA_OECMAKE = "-DBUILD_CODE_GEN=OFF \
-DBUILD_DOC=ON \
-DBUILD_DOXYGEN_DOC=OFF"
S = "${WORKDIR}/git"
# Link libatomic on architectures without 64bit atomics fixes
# libsdbus-c++.so.1.1.0: undefined reference to `__atomic_load_8'
LDFLAGS:append:mips = " -Wl,--no-as-needed -latomic -Wl,--as-needed"
LDFLAGS:append:powerpc = " -Wl,--no-as-needed -latomic -Wl,--as-needed"
LDFLAGS:append:riscv32 = " -Wl,--no-as-needed -latomic -Wl,--as-needed"
do_install:append() {
if ! ${@bb.utils.contains('PTEST_ENABLED', '1', 'true', 'false', d)}; then
rm -rf ${D}${sysconfdir}/dbus-1
fi
}
do_install_ptest() {
DESTDIR='${D}' cmake_runcmake_build --target tests/install
}
FILES:${PN}-ptest =+ "${sysconfdir}/dbus-1/system.d/"
FILES:${PN}-dev += "${bindir}/sdbus-c++-xml2cpp"
RDEPENDS:${PN}-ptest += "dbus"
# It adds -isystem which is spurious, no idea where it gets it from
CCACHE_DISABLE = "1"

View File

@ -6,11 +6,11 @@ LIC_FILES_CHKSUM = "file://LICENSE;md5=778ddc598b3f2a2da3657dda514da983"
SRC_URI = "git://github.com/hyprwm/hypridle.git;protocol=https;branch=main" SRC_URI = "git://github.com/hyprwm/hypridle.git;protocol=https;branch=main"
DEPENDS = "wayland wayland-native wayland-protocols hyprlang sdbus-c++" DEPENDS = "wayland wayland-native wayland-protocols hyprlang sdbus-c++-1"
S = "${WORKDIR}/git" S = "${WORKDIR}/git"
SRCREV = "af2d65dcdceda812e28ffe3497e03e8faa1bd46f" SRCREV = "918fd78dec258923094ecddc4e317c5b29ec2486"
PV = "0.1.4" PV = "0.1.3"
inherit cmake pkgconfig inherit cmake pkgconfig

View File

@ -18,7 +18,6 @@ DEPENDS = " \
libwebp \ libwebp \
libxkbcommon \ libxkbcommon \
pango \ pango \
sdbus-c++ \
virtual/egl \ virtual/egl \
virtual/libgl \ virtual/libgl \
wayland \ wayland \